ContainerDeserializerBase (Jackson JSON Processor)
Date: 2013-07-14

org.codehaus.jackson.map.deser.std

## Class ContainerDeserializerBase<T>

- java.lang.Object
- - org.codehaus.jackson.map.JsonDeserializer<T>
  - - org.codehaus.jackson.map.deser.std.StdDeserializer<T>
    - - org.codehaus.jackson.map.deser.std.ContainerDeserializerBase<T>

- Direct Known Subclasses:
    CollectionDeserializer, ContainerDeserializer, MapDeserializer, ObjectArrayDeserializer, StringCollectionDeserializer

      public abstract class ContainerDeserializerBase<T>
      extends StdDeserializer<T>

  Intermediate base deserializer class that adds more shared accessor so that other classes can access information about contained (value) types
  Since:
    1.9 (renamed from 'org.codehaus.jackson.map.deser.ContainerDeserializer')

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.codehaus.jackson.map.deser.std.StdDeserializer

      `StdDeserializer.BigDecimalDeserializer, StdDeserializer.BigIntegerDeserializer, StdDeserializer.BooleanDeserializer, StdDeserializer.ByteDeserializer, StdDeserializer.CharacterDeserializer, StdDeserializer.DoubleDeserializer, StdDeserializer.FloatDeserializer, StdDeserializer.IntegerDeserializer, StdDeserializer.LongDeserializer, StdDeserializer.NumberDeserializer, StdDeserializer.PrimitiveOrWrapperDeserializer<T>, StdDeserializer.ShortDeserializer, StdDeserializer.SqlDateDeserializer, StdDeserializer.StackTraceElementDeserializer`

    - ### Nested classes/interfaces inherited from class org.codehaus.jackson.map.JsonDeserializer

      `JsonDeserializer.None`

  - ### Field Summary

    - ### Fields inherited from class org.codehaus.jackson.map.deser.std.StdDeserializer

      `_valueClass`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ContainerDeserializerBase(Class<?> selfType)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract JsonDeserializer<Object>` | `getContentDeserializer()` Accesor for deserializer use for deserializing content values.
    `abstract JavaType` | `getContentType()` Accessor for declared type of contained value elements; either exact type, or one of its supertypes.

    - ### Methods inherited from class org.codehaus.jackson.map.deser.std.StdDeserializer

      `_parseBoolean, _parseBooleanFromNumber, _parseBooleanPrimitive, _parseByte, _parseDate, _parseDouble, _parseDoublePrimitive, _parseFloat, _parseFloatPrimitive, _parseInteger, _parseIntPrimitive, _parseLong, _parseLongPrimitive, _parseShort, _parseShortPrimitive, deserializeWithType, findDeserializer, getValueClass, getValueType, handleUnknownProperty, isDefaultSerializer, parseDouble, reportUnknownProperty`

    - ### Methods inherited from class org.codehaus.jackson.map.JsonDeserializer

      `deserialize, deserialize, getEmptyValue, getNullValue, unwrappingDeserializer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContainerDeserializerBase

          protected ContainerDeserializerBase(Class<?> selfType)

  - ### Method Detail

    - #### getContentType

          public abstract JavaType getContentType()

      Accessor for declared type of contained value elements; either exact type, or one of its supertypes.

    - #### getContentDeserializer

          public abstract JsonDeserializer<Object> getContentDeserializer()

      Accesor for deserializer use for deserializing content values.